Subject: bug#37559: closed (Re: bug#37559: network-stream-tests hangs on Windows)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 15 Feb 2025 10:01:02 +0000

Your bug report

#37559: network-stream-tests hangs on Windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37559: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=37559
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37559: network-stream-tests hangs on Windows
From: Stefan Kangas <[email-masked]>
To: Juanma Barranquero <[email-masked]>
Cc: [email-masked]
Date: Sat, 15 Feb 2025 10:00:13 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Juanma Barranquero <[email-masked]> writes:

> No idea. I've not built Emacs for years now.

OK, thanks.  I guess it's not likely that we'll make further progress
here with no one that can reproduce it.

I'm therefore closing this bug report.  Thanks.

Subject: network-stream-tests hangs on Windows
From: Juanma Barranquero <[email-masked]>
To: Bug-Gnu-Emacs <[email-masked]>
Date: Mon, 30 Sep 2019 04:21:53 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

While running tests on Windows, the following tests (from
network-stream-tests.el) hang up and have to be interrupted:

connect-to-tls-ipv4-wait
open-network-stream-tls-wait
open-network-stream-tls
open-network-stream-tls-nocert
open-gnutls-stream-new-api-default
open-gnutls-stream-new-api-wait
open-gnutls-stream-old-api-wait

In GNU Emacs 27.0.50 (build 1, x86_64-w64-mingw32)
 of 2019-09-30 built on ODIEFAST
Repository revision: fd887250dc560541ecc2a3ea4a5d6f61591e2821
Repository branch: master
Windowing system distributor 'Microsoft Corp.', version 10.0.18362
System Description: Microsoft Windows 10 Home (v10.0.1903.18362.356)

Configured using:
 'configure --prefix=/d/Devel/emacs/repo/trunk --with-modules
 --without-pop --enable-checking=yes
 --enable-locallisppath=%emacs_dir%/../site-lisp:%emacs_dir%/share/emacs/@VER@
/site-lisp:%emacs_dir%/share/emacs/site-lisp
 'CFLAGS=-Og -ggdb3''

Configured features:
XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY W32NOTIFY ACL GNUTLS LIBXML2
HARFBUZZ ZLIB TOOLKIT_SCROLL_BARS MODULES THREADS JSON PDUMPER LCMS2 GMP

Important settings:
  value of $LANG: ESN
  locale-coding-system: cp1252